Loading...
Searching...
No Matches
wayland::server::output_mode Struct Reference

mode information More...

`#include <wayland-server-protocol.hpp>`

## Static Public Attributes

static const wayland::detail::bitfield< 2, 22 > | current
| indicates this is the current mode
static const wayland::detail::bitfield< 2, 22 > | preferred
| indicates this is the preferred mode

## Detailed Description

mode information

These flags describe properties of an output mode. They are used in the flags bitfield of the mode event.

Definition at line 4022 of file wayland-server-protocol.hpp.

## Member Data Documentation

## current

const wayland::detail::bitfield<2, 22> wayland::server::output_mode::current

static

indicates this is the current mode

Definition at line 4029 of file wayland-server-protocol.hpp.

## preferred

const wayland::detail::bitfield<2, 22> wayland::server::output_mode::preferred

static

indicates this is the preferred mode

Definition at line 4031 of file wayland-server-protocol.hpp.

The documentation for this struct was generated from the following file:

- obj-x86_64-linux-gnu/wayland-server-protocol.hpp